/transactions

Create a new transaction, currently only supporting bank transfer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Schema:

{
    "status": boolean,
    "message": string,
    "data": {
        "id": string,
        "amount": string,
        "fee": string,
        "narration": string,
        "type": "credit" | "debit",
        "initiatedAt": date-time | null,
        "completedAt": date-time | null,
        "accountId": string,
        "details": {                
            "accountName": string,
            "accountNumber": string,
            "bank": {
                "code": string,
                "name": string,
            }
        } | null,
        "status": "pending" | "successful" | "failed" | "declined",
        "failedAt": date-time | null,
        "reasonForFailure": string | null,
        "clientReference": string | null,
        "transactionReference": string,
			  "nipSessionId": string | null
    }
}

In the sandbox environment, you can simulate a failed transaction by performing a bank transfer to any of these accounts:

Account NumberBank CodeError
6257392194000016Transfer Not Successful
4000007863000016Beneficiary Bank not Available
0954428453000015System Malfunction
0783199300000015Timeout waiting for response from destination bank
5858433191000013Insufficient Balance in Debit Account
Body Params
string
required

Your 36-character account uuid to transfer from.

string

Recipient ID from the recipients endpoint. Use this in place of accountNumber and bankCode code if you have the recipient details.

string

10 digit nuban. If you do not have the recipientId, use this and bankCode.

string

If you do not have the recipientId, use bankCode and accountNumber.

string
required

Amount of NGN you want to send, must be a positive number.

string
required

The narration of the transaction.

string
required

Unique client reference. Only -, ., _ and alphanumeric characters allowed.

string

The name that will be displayed as the sender
Restricted feature

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json